Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Binary Input/Ouput Abstraction Layer

## Functions
Lib3dsByte | lib3ds_io_read_byte (Lib3dsIo *io)
Lib3dsDword | lib3ds_io_read_dword (Lib3dsIo *io)
Lib3dsIntb | lib3ds_io_read_intb (Lib3dsIo *io)
Lib3dsIntw | lib3ds_io_read_intw (Lib3dsIo *io)
Lib3dsIntd | lib3ds_io_read_intd (Lib3dsIo *io)
Lib3dsFloat | lib3ds_io_read_float (Lib3dsIo *io)
Lib3dsBool | lib3ds_io_read_rgb (Lib3dsIo *io, Lib3dsRgb rgb)
Lib3dsBool | lib3ds_io_read_string (Lib3dsIo *io, char *s, int buflen)
Lib3dsBool | lib3ds_io_write_byte (Lib3dsIo *io, Lib3dsByte b)
Lib3dsBool | lib3ds_io_write_word (Lib3dsIo *io, Lib3dsWord w)
Lib3dsBool | lib3ds_io_write_dword (Lib3dsIo *io, Lib3dsDword d)
Lib3dsBool | lib3ds_io_write_intb (Lib3dsIo *io, Lib3dsIntb b)
Lib3dsBool | lib3ds_io_write_intw (Lib3dsIo *io, Lib3dsIntw w)
Lib3dsBool | lib3ds_io_write_intd (Lib3dsIo *io, Lib3dsIntd d)
Lib3dsBool | lib3ds_io_write_float (Lib3dsIo *io, Lib3dsFloat l)
Lib3dsBool | lib3ds_io_write_rgb (Lib3dsIo *io, Lib3dsRgb rgb)
Lib3dsBool | lib3ds_io_write_string (Lib3dsIo *io, const char *s)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Function Documentation

Lib3dsByte lib3ds_io_read_byte | ( | Lib3dsIo * | io | ) |

| Read a byte from a file stream.

Lib3dsDword lib3ds_io_read_dword | ( | Lib3dsIo * | io | ) |

| Read a dword from file a stream in little endian format.

Lib3dsFloat lib3ds_io_read_float | ( | Lib3dsIo * | io | ) |

| Read a float from a file stream in little endian format.

Lib3dsIntb lib3ds_io_read_intb | ( | Lib3dsIo * | io | ) |

| Read a signed byte from a file stream.

Lib3dsIntd lib3ds_io_read_intd | ( | Lib3dsIo * | io | ) |

| Read a signed dword a from file stream in little endian format.

Lib3dsIntw lib3ds_io_read_intw | ( | Lib3dsIo * | io | ) |

| Read a signed word from a file stream in little endian format.

Lib3dsBool lib3ds_io_read_rgb | ( | Lib3dsIo * | io,
|  | Lib3dsRgb | rgb
| ) |

Lib3dsBool lib3ds_io_read_string | ( | Lib3dsIo * | io,
|  | char * | s,
|  | int | buflen
| ) |

  | Read a zero-terminated string from a file stream. Parameters:
  io | IO input handle.
  s | The buffer to store the read string.
  buflen | Buffer length.
Returns: True on success, False otherwise.

Lib3dsBool lib3ds_io_write_byte | ( | Lib3dsIo * | io,
|  | Lib3dsByte | b
| ) |

| Writes a byte into a file stream.

Lib3dsBool lib3ds_io_write_dword | ( | Lib3dsIo * | io,
|  | Lib3dsDword | d
| ) |

| Writes a dword into a little endian file stream.

Lib3dsBool lib3ds_io_write_float | ( | Lib3dsIo * | io,
|  | Lib3dsFloat | l
| ) |

| Writes a float into a little endian file stream.

Lib3dsBool lib3ds_io_write_intb | ( | Lib3dsIo * | io,
|  | Lib3dsIntb | b
| ) |

| Writes a signed byte in a file stream.

Lib3dsBool lib3ds_io_write_intd | ( | Lib3dsIo * | io,
|  | Lib3dsIntd | d
| ) |

| Writes a signed dword into a little endian file stream.

Lib3dsBool lib3ds_io_write_intw | ( | Lib3dsIo * | io,
|  | Lib3dsIntw | w
| ) |

| Writes a signed word into a little endian file stream.

Lib3dsBool lib3ds_io_write_rgb | ( | Lib3dsIo * | io,
|  | Lib3dsRgb | rgb
| ) |

Lib3dsBool lib3ds_io_write_string | ( | Lib3dsIo * | io,
|  | const char * | s
| ) |

| Writes a zero-terminated string into a file stream.

Lib3dsBool lib3ds_io_write_word | ( | Lib3dsIo * | io,
|  | Lib3dsWord | w
| ) |

| Writes a word into a little endian file stream.